Package org.eclipse.net4j.tcp

## Interface ITCPSelector

-     public interface ITCPSelector

  Encapsulates a Java `socket selector` and orchestrates a number of `active` and `passive` consumers, usually `connectors` and `acceptors` that compete for the socket selector's I/O time.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.nio.channels.Selector` | `getSocketSelector()` |
    `void` | `orderConnectInterest​(java.nio.channels.SelectionKey selectionKey, boolean client, boolean on)` |
    `void` | `orderReadInterest​(java.nio.channels.SelectionKey selectionKey, boolean client, boolean on)` |
    `void` | `orderRegistration​(java.nio.channels.ServerSocketChannel channel, ITCPPassiveSelectorListener listener)` |
    `void` | `orderRegistration​(java.nio.channels.SocketChannel channel, boolean client, ITCPActiveSelectorListener listener)` |
    `void` | `orderWriteInterest​(java.nio.channels.SelectionKey selectionKey, boolean client, boolean on)` |

- - ### Method Detail

    - #### getSocketSelector

          java.nio.channels.Selector getSocketSelector()

    - #### orderRegistration

          void orderRegistration​(java.nio.channels.ServerSocketChannel channel,
                                 ITCPPassiveSelectorListener listener)

    - #### orderRegistration

          void orderRegistration​(java.nio.channels.SocketChannel channel,
                                 boolean client,
                                 ITCPActiveSelectorListener listener)

    - #### orderConnectInterest

          void orderConnectInterest​(java.nio.channels.SelectionKey selectionKey,
                                    boolean client,
                                    boolean on)

    - #### orderReadInterest

          void orderReadInterest​(java.nio.channels.SelectionKey selectionKey,
                                 boolean client,
                                 boolean on)

    - #### orderWriteInterest

          void orderWriteInterest​(java.nio.channels.SelectionKey selectionKey,
                                  boolean client,
                                  boolean on)